"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = __importStar(require(".."));
function jsonApiErrorHandler(err, req, res, next) {
    if (err instanceof __1.default) {
        const normalizedError = JSON.parse(JSON.stringify(err));
        res.status(parseInt(normalizedError.status, 10)).send({
            errors: [normalizedError]
        });
    }
    else if (err instanceof __1.AggregateJsonApiError) {
        res.status(err.status).send({
            errors: err.errors.map(e => JSON.parse(JSON.stringify(e))),
        });
    }
    else {
        next(err);
    }
}
exports.jsonApiErrorHandler = jsonApiErrorHandler;
